Get transaction
curl --request GET \
--url https://api.proxyjam.com/public/v1/wallet/transactions/{transaction_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.proxyjam.com/public/v1/wallet/transactions/{transaction_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.proxyjam.com/public/v1/wallet/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Wallet
Get transaction
Retrieve details for a specific wallet transaction.
GET
/
wallet
/
transactions
/
{transaction_id}
Get transaction
Returns a single transaction by ID. You can only retrieve transactions belonging to your account.
Path parameters
string
required
UUID of the transaction.
Response
A singleTransactionResponse object. See List transactions for the field reference.
Example
curl https://api.proxyjam.com/public/v1/wallet/transactions/txn-uuid-1 \
-H "X-API-Key: pj_AbCdEf..."
from proxyjam import ProxyJamClient
with ProxyJamClient(api_key="pj_live_...") as proxyjam:
tx = proxyjam.wallets.get_transaction("txn-uuid-1")
print(tx.transaction_type, tx.amount_as_decimal(), tx.status)
{
"id": "txn-uuid-1",
"amount": 20.0,
"currency": "USD",
"transaction_type": "deposit",
"status": "completed",
"payment_method": "cryptocloud",
"description": "Wallet top-up via CryptoCloud",
"created_at": "2024-01-15T09:00:00Z",
"updated_at": "2024-01-15T09:01:30Z"
}
⌘I